<template>
  <ObTable
    v-model="searchValue"
    :dataGridRefName="dataGridRefName"
    ref="dataGrid"
    :columns="$options.columns"
    :hide-grouping-setting="true"
    :hide-sorting-setting="true"
    :remote-opt="getCountriesList"
    @selected="onSelectionItem"
  >
  </ObTable>
</template>

<script>
  import api from '@/api';
  import ObTable from "common-components/src/obComponents/obTable";
  export default {
    name: "CountryList",
    components: {
      ObTable
    },
    props: {
      selectedCallback: {
        type: Function,
        default(){
          return () => true
        }
      }
    },
    columns: [
      {
        title: 'Полное наименование',
        field: 'short_title'
      },
    ],
    data() {
      return {
        dataGridRefName: 'CountryList',
        titles: ['страна', 'страны', 'стран'],
        api: {
          source: 'general',
          method: 'getCountriesList',
        }
      }
    },
    methods: {
      onSelectionItem(data) {
        this.selectedCallback({
          name: data.short_title,
          uuid: data.uuid
        });
      },
      async getCountriesList ({ page, size, query, sort }) {
        return await api.general.getCountriesList1(page, size, query, sort)
      }
    }
  }
</script>

<style scoped>

</style>
